Skip to main content
POST
/
configured-product
/
{configuredProduct}
/
config-session
Create configurator session
curl --request POST \
  --url https://synthx.vantisone.com/api/configured-product/{configuredProduct}/config-session \
  --header 'Content-Type: application/json' \
  --data '
{
  "prefers_dark_mode": true,
  "callback_url": "https://client.example.com/webhooks/config-complete",
  "external_reference": "SO-12984"
}
'
{
  "data": {
    "id": "cfgsess_abc123",
    "configured_product": {
      "id": "cfp_abc123",
      "valid_until": "2023-11-07T05:31:56Z",
      "product": {
        "id": "prod_abc123",
        "name": "Outdoor Cushion",
        "sku": "CUSH-001"
      },
      "config": {},
      "calculated": {},
      "results": {}
    },
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "expires_at": "2023-11-07T05:31:56Z",
    "prefers_dark_mode": true,
    "callback_url": "<string>",
    "external_reference": "<string>",
    "iframe_url": "<string>",
    "embed_bootstrap_url": "<string>",
    "embed_update_url": "<string>"
  }
}

Path Parameters

configuredProduct
string
required

Configured product prefixed ID

Body

application/json
config
object
prefers_dark_mode
boolean
callback_url
string<uri> | null

Optional callback endpoint that receives a completion webhook when the embed session is finalized.

Maximum string length: 2048
Example:

"https://client.example.com/webhooks/config-complete"

external_reference
string | null

Optional client-defined identifier echoed in API responses and completion webhook payloads.

Maximum string length: 255
Example:

"SO-12984"

Response

Config session created

data
object
required